# Module StaticModel::ClassMethods

- app/roles/static_model.rb

Methods

B
  - base_class
P
  - primary_key

Instance Public methods
base_class() Link

Used by ActiveRecord’s polymorphic association to set object_type

Source: show

    # File app/roles/static_model.rb, line 12
    def base_class
      self
    end

primary_key() Link

Used by ActiveRecord’s polymorphic association to set object_id

Source: show

    # File app/roles/static_model.rb, line 7
    def primary_key
      'id'
    end